function browse_file_clbk(varargin)

% Find structure and handles
%% GET DATA BACK FROM FIGURE
swansed=findobj('Tag','swanonesed');
handles=get(swansed,'UserData');

%% DO YOUR ACTIONS

% File selector tool
[filename pathname]=uigetfile({'*.tab'},'SwanOneSed - File Selector') ;
%fullpathname = strcat(pathname,filename) ;
fullpathname = fullfile(pathname,filename) ;

% Create handles 
handles.openproject.filename = filename ;
handles.openproject.pathname = pathname ;
handles.openproject.fullpathname = fullpathname ;

set(handles.openproject.edit1,'String',pathname);
set(handles.openproject.edit2,'String',filename);

outputdata = importdata(fullpathname) ;

%% PUT DATA BACK INTO FIGURE
% Set handles to 'Userdata' property
handles.openproject.outputdata = outputdata;
set(swansed,'UserData',handles);

end